package hdm.mi.growbros.models.dto;

import hdm.mi.growbros.models.plant.GroundType;
import hdm.mi.growbros.models.plant.LightingDemand;
import hdm.mi.growbros.models.plant.NutrientDemand;
import hdm.mi.growbros.models.plant.WaterDemand;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Getter;
import lombok.NoArgsConstructor;

@Builder
@NoArgsConstructor
@AllArgsConstructor
@Getter
public class PlantUpdateRequest {
    private String name;
    private String latinName;
    private String description;
    private String origin;
    private String growingTips;
    private Integer plantWeekStart;
    private Integer plantWeekEnd;
    private Integer growthDuration;
    private Integer harvestWeekStart;
    private Integer harvestWeekEnd;
    private GroundType groundType;
    private NutrientDemand nutrientDemand;
    private WaterDemand waterDemand;
    private LightingDemand lightingDemand;
    private String imageUrl;
}
